module Cqrs
  module Helpers
    # Executes a CQRS Command
    def execute(command)
      command_executor.execute(command)
    end

    # Executes a CQRS Query
    def query(query)
      command_executor.execute(query)
    end

    # Provide access to the CQRS executor
    def command_executor
      @command_executor ||= NexusCqrs::CommandExecutor.new
    end
  end
end